> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search jobs

> Returns a list of jobs that match the provided filters. Supports a flexible filter set and returns paginated results with full job details.



## OpenAPI

````yaml /api-reference/openapi.json post /vacancies/_search
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /vacancies/_search:
    post:
      tags:
        - Jobs
      summary: Search jobs
      description: >-
        Returns a list of jobs that match the provided filters. Supports a
        flexible filter set and returns paginated results with full job details.
      operationId: searchVacancies
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchVacanciesRequestDto'
      responses:
        '200':
          description: Successfully searched jobs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchVacanciesResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ValidationExceptionDto'
                  - $ref: '#/components/schemas/ExceptionBaseDto'
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    SearchVacanciesRequestDto:
      type: object
      properties:
        filters:
          type: array
          items:
            $ref: '#/components/schemas/AppliedVacancyFilterDto'
        page:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        pageSize:
          type: integer
          minimum: 1
          maximum: 100
      id: PrivateSearchVacanciesRequestDto
    SearchVacanciesResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/VacancySearchItemDto'
        pagination:
          $ref: '#/components/schemas/SearchVacanciesPaginationDto'
      required:
        - items
        - pagination
      id: PrivateSearchVacanciesResponseDto
    ValidationExceptionDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssueDto'
      required:
        - status
        - message
        - requestId
        - errors
      id: ValidationExceptionDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
    AppliedVacancyFilterDto:
      anyOf:
        - $ref: '#/components/schemas/AppliedVacancyTextFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyEntitySelectFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyBooleanFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomTextFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomDateFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomEmptyDateFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomDateRangeFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomNumberFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomNumberRangeFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomEntitySelectFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomEntityMultiSelectFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomBooleanFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomEnumSelectFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomEnumListSelectFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomCurrencyFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomDurationFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomUrlFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomTimeStampFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomRatingFilterDto'
        - $ref: '#/components/schemas/AppliedVacancyCustomRatingRangeFilterDto'
      id: PrivateAppliedVacancyFilterDto
    VacancySearchItemDto:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        name:
          type: string
        restricted:
          type: boolean
        description:
          anyOf:
            - type: string
            - type: 'null'
        stage:
          type: object
          properties:
            id:
              type: string
              minLength: 1
            order:
              type: number
            name:
              type: string
            colorHex:
              type: string
            isOpen:
              type: boolean
          required:
            - id
            - order
            - name
            - colorHex
            - isOpen
        client:
          type: object
          properties:
            id:
              type: string
              minLength: 1
            name:
              type: string
            description:
              anyOf:
                - type: string
                - type: 'null'
            industry:
              anyOf:
                - type: string
                  enum:
                    - Accessible Architecture and Design
                    - Accessible Hardware Manufacturing
                    - Accommodation and Food Services
                    - Accounting
                    - Administration of Justice
                    - Administrative and Support Services
                    - Advertising Services
                    - Agricultural Chemical Manufacturing
                    - Agriculture, Construction, Mining Machinery Manufacturing
                    - Air, Water and Waste Program Management
                    - Aviation & Aerospace
                    - Airlines and Aviation
                    - Abrasives and Nonmetallic Minerals Manufacturing
                    - Alternative Dispute Resolution
                    - Alternative Fuel Vehicle Manufacturing
                    - Alternative Medicine
                    - Ambulance Services
                    - Amusement Parks and Arcades
                    - Animal Feed Manufacturing
                    - Animation
                    - Animation and Post-production
                    - Apparel Manufacturing
                    - Apparel & Fashion
                    - Appliances, Electrical, and Electronics Manufacturing
                    - Architecture and Planning
                    - Architectural and Structural Metal Manufacturing
                    - Armed Forces
                    - Artificial Rubber and Synthetic Fiber Manufacturing
                    - Artists and Writers
                    - Arts & Crafts
                    - Audio and Video Equipment Manufacturing
                    - Automation Machinery Manufacturing
                    - Automotive
                    - Aviation and Aerospace Component Manufacturing
                    - Baked Goods Manufacturing
                    - Banking
                    - Bars, Taverns and Nightclubs
                    - Bed and Breakfasts, Hostels, Homestays
                    - Beverage Manufacturing
                    - Biomass Electric Power Generation
                    - Biotechnology
                    - Biotechnology Research
                    - Blockchain Services
                    - Blogs
                    - Boilers, Tanks, and Shipping Container Manufacturing
                    - Book and Periodical Publishing
                    - Book Publishing
                    - Breweries
                    - Broadcast Media Production and Distribution
                    - Building Construction
                    - Building Equipment Contractors
                    - Building Finishing Contractors
                    - Building Materials
                    - Building Structure and Exterior Contractors
                    - Business Consulting and Services
                    - Business Content
                    - Business Intelligence Platforms
                    - Business Supplies & Equipment
                    - Cable and Satellite Programming
                    - Capital Markets
                    - Caterers
                    - Chemical Manufacturing
                    - Chemical Raw Materials Manufacturing
                    - Child Day Care Services
                    - Chiropractors
                    - Circuses and Magic Shows
                    - Civic and Social Organizations
                    - Civil Engineering
                    - Claims Adjusting, Actuarial Services
                    - Clay and Refractory Products Manufacturing
                    - Climate Data and Analytics
                    - Climate Technology Product Manufacturing
                    - Coal Mining
                    - Collection Agencies
                    - Commercial and Industrial Equipment Rental
                    - Commercial and Industrial Machinery Maintenance
                    - Commercial and Service Industry Machinery Manufacturing
                    - Commercial Real Estate
                    - Communications Equipment Manufacturing
                    - Community Development and Urban Planning
                    - Community Services
                    - Computer and Network Security
                    - Computer Games
                    - Computer Hardware
                    - Computer Hardware Manufacturing
                    - Computer Networking
                    - Computer Networking Products
                    - Computers and Electronics Manufacturing
                    - Conservation Programs
                    - Construction
                    - Construction Hardware Manufacturing
                    - Consumer Electronics
                    - Consumer Goods
                    - Consumer Goods Rental
                    - Consumer Services
                    - Correctional Institutions
                    - Cosmetics
                    - Cosmetology and Barber Schools
                    - Courts of Law
                    - Credit Intermediation
                    - Cutlery and Handtool Manufacturing
                    - Dairy
                    - Dairy Product Manufacturing
                    - Dance Companies
                    - Data Infrastructure and Analytics
                    - Data Security Software Products
                    - Defense and Space Manufacturing
                    - Defense & Space
                    - Dentists
                    - Design
                    - Design Services
                    - Desktop Computing Software Products
                    - Digital Accessibility Services
                    - Distilleries
                    - E-learning
                    - E-Learning Providers
                    - Economic Programs
                    - Education
                    - Education Administration Programs
                    - Education Management
                    - Electric Lighting Equipment Manufacturing
                    - Electric Power Generation
                    - Electric Power Transmission, Control, and Distribution
                    - Electrical Equipment Manufacturing
                    - Electronic and Precision Equipment Maintenance
                    - Embedded Software Products
                    - Emergency and Relief Services
                    - Energy Technology
                    - Engineering Services
                    - Engines and Power Transmission Equipment Manufacturing
                    - Entertainment
                    - Entertainment Providers
                    - Environmental Quality Programs
                    - Environmental Services
                    - Equipment Rental Services
                    - Events Services
                    - Executive Offices
                    - Executive Search Services
                    - Fabricated Metal Products
                    - Facilities Services
                    - Family Planning Centers
                    - Farming
                    - Farming, Ranching, Forestry
                    - Fashion Accessories Manufacturing
                    - Financial Services
                    - Fine Art
                    - Fine Arts Schools
                    - Fire Protection
                    - Fisheries
                    - Flight Training
                    - Food and Beverage Manufacturing
                    - Food and Beverage Retail
                    - Food and Beverage Services
                    - Food & Beverages
                    - Food Production
                    - Footwear and Leather Goods Repair
                    - Footwear Manufacturing
                    - Forestry and Logging
                    - Fossil Fuel Electric Power Generation
                    - Freight and Package Transportation
                    - Fruit and Vegetable Preserves Manufacturing
                    - Fuel Cell Manufacturing
                    - Fundraising
                    - Funds and Trusts
                    - Furniture
                    - Furniture and Home Furnishings Manufacturing
                    - Gambling Facilities and Casinos
                    - Geothermal Electric Power Generation
                    - Glass Product Manufacturing
                    - Glass, Ceramics and Concrete Manufacturing
                    - Golf Courses and Country Clubs
                    - Government Administration
                    - Government Relations
                    - Government Relations Services
                    - Graphic Design
                    - Ground Passenger Transportation
                    - Health and Human Services
                    - Health, Wellness & Fitness
                    - Higher Education
                    - Highway, Street, and Bridge Construction
                    - Historical Sites
                    - Holding Companies
                    - Home Health Care Services
                    - Horticulture
                    - Hospitality
                    - Hospitals
                    - Hospitals and Health Care
                    - Hotels and Motels
                    - Household Appliance Manufacturing
                    - Household and Institutional Furniture Manufacturing
                    - Household Services
                    - Housing and Community Development
                    - Housing Programs
                    - Human Resources
                    - Human Resources Services
                    - HVAC and Refrigeration Equipment Manufacturing
                    - Hydroelectric Power Generation
                    - Import & Export
                    - Individual and Family Services
                    - Industrial Automation
                    - Industrial Machinery Manufacturing
                    - Industry Associations
                    - Information Services
                    - Information Technology & Services
                    - Insurance
                    - Insurance Agencies and Brokerages
                    - Insurance and Employee Benefit Funds
                    - Insurance Carriers
                    - Interior Design
                    - International Affairs
                    - International Trade and Development
                    - Internet Marketplace Platforms
                    - Internet News
                    - Internet Publishing
                    - Interurban and Rural Bus Services
                    - Investment Advice
                    - Investment Banking
                    - Investment Management
                    - IT Services and IT Consulting
                    - IT System Custom Software Development
                    - IT System Data Services
                    - IT System Design Services
                    - IT System Installation and Disposal
                    - IT System Operations and Maintenance
                    - IT System Testing and Evaluation
                    - IT System Training and Support
                    - Janitorial Services
                    - Landscaping Services
                    - Language Schools
                    - Laundry and Drycleaning Services
                    - Law Enforcement
                    - Law Practice
                    - Leasing Non-residential Real Estate
                    - Leasing Residential Real Estate
                    - Leather Product Manufacturing
                    - Legal Services
                    - Legislative Offices
                    - Leisure, Travel & Tourism
                    - Libraries
                    - Lime and Gypsum Products Manufacturing
                    - Loan Brokers
                    - Luxury Goods & Jewelry
                    - Machinery Manufacturing
                    - Magnetic and Optical Media Manufacturing
                    - Manufacturing
                    - Maritime
                    - Maritime Transportation
                    - Marketing Services
                    - Market Research
                    - Mattress and Blinds Manufacturing
                    - Measuring and Control Instrument Manufacturing
                    - Meat Products Manufacturing
                    - Mechanical Or Industrial Engineering
                    - Media and Telecommunications
                    - Media Production
                    - Medical and Diagnostic Laboratories
                    - Medical Device
                    - Medical Equipment Manufacturing
                    - Medical Practices
                    - Mental Health Care
                    - Metal Ore Mining
                    - Metal Treatments
                    - Metal Valve, Ball, and Roller Manufacturing
                    - Metalworking Machinery Manufacturing
                    - Military and International Affairs
                    - Mining
                    - Mobile Computing Software Products
                    - Mobile Food Services
                    - Mobile Gaming Apps
                    - Motor Vehicle Manufacturing
                    - Motor Vehicle Parts Manufacturing
                    - Movies and Sound Recording
                    - Movies, Videos, and Sound
                    - Museums
                    - Museums, Historical Sites, and Zoos
                    - Music
                    - Musicians
                    - Nanotechnology Research
                    - Natural Gas Distribution
                    - Natural Gas Extraction
                    - Newspaper Publishing
                    - Nonmetallic Mineral Mining
                    - Non-profit Organization Management
                    - Non-profit Organizations
                    - Nonresidential Building Construction
                    - Nuclear Electric Power Generation
                    - Nursing Homes and Residential Care Facilities
                    - Office Administration
                    - Office Furniture and Fixtures Manufacturing
                    - Oil and Coal Product Manufacturing
                    - Oil and Gas
                    - Oil Extraction
                    - Oil, Gas, and Mining
                    - Online and Mail Order Retail
                    - Online Audio and Video Media
                    - Online Media
                    - Operations Consulting
                    - Optometrists
                    - Outpatient Care Centers
                    - Outsourcing and Offshoring Consulting
                    - Outsourcing/Offshoring
                    - Packaging and Containers Manufacturing
                    - Packaging & Containers
                    - Paint, Coating, and Adhesive Manufacturing
                    - Paper and Forest Product Manufacturing
                    - Paper & Forest Products
                    - Pension Funds
                    - Performing Arts
                    - Performing Arts and Spectator Sports
                    - Periodical Publishing
                    - Personal and Laundry Services
                    - Personal Care Product Manufacturing
                    - Personal Care Services
                    - Pet Services
                    - Pharmaceutical Manufacturing
                    - Philanthropic Fundraising Services
                    - Philanthropy
                    - Photography
                    - Physical, Occupational and Speech Therapists
                    - Physicians
                    - Pipeline Transportation
                    - Plastics and Rubber Product Manufacturing
                    - Plastics Manufacturing
                    - Political Organizations
                    - Postal Services
                    - Primary and Secondary Education
                    - Primary Metal Manufacturing
                    - Printing Services
                    - Professional Organizations
                    - Professional Services
                    - Professional Training and Coaching
                    - Program Development
                    - Public Assistance Programs
                    - Public Health
                    - Public Policy
                    - Public Policy Offices
                    - Public Relations and Communications Services
                    - Public Safety
                    - Racetracks
                    - Radio and Television Broadcasting
                    - Rail Transportation
                    - Railroad Equipment Manufacturing
                    - Ranching
                    - Ranching and Fisheries
                    - Real Estate
                    - Real Estate Agents and Brokers
                    - Real Estate and Equipment Rental Services
                    - Recreational Facilities
                    - Regenerative Design
                    - Religious Institutions
                    - Renewable Energy Equipment Manufacturing
                    - Renewable Energy Power Generation
                    - Renewable Energy Semiconductor Manufacturing
                    - Renewables & Environment
                    - Repair and Maintenance
                    - Research
                    - Research Services
                    - Residential Building Construction
                    - Restaurants
                    - Retail
                    - Retail Apparel and Fashion
                    - Retail Appliances, Electrical, and Electronic Equipment
                    - Retail Art Dealers
                    - Retail Art Supplies
                    - Retail Books and Printed News
                    - Retail Building Materials and Garden Equipment
                    - Retail Florists
                    - Retail Furniture and Home Furnishings
                    - Retail Gasoline
                    - Retail Groceries
                    - Retail Health and Personal Care Products
                    - Retail Luxury Goods and Jewelry
                    - Retail Motor Vehicles
                    - Retail Musical Instruments
                    - Retail Office Equipment
                    - Retail Office Supplies and Gifts
                    - Retail Pharmacies
                    - Retail Recyclable Materials & Used Merchandise
                    - Reupholstery and Furniture Repair
                    - Robotics Engineering
                    - Robot Manufacturing
                    - Rubber Products Manufacturing
                    - Satellite Telecommunications
                    - Savings Institutions
                    - School and Employee Bus Services
                    - Seafood Product Manufacturing
                    - Secretarial Schools
                    - Securities and Commodity Exchanges
                    - Security and Investigations
                    - Security Guards and Patrol Services
                    - Security Systems Services
                    - Semiconductor Manufacturing
                    - Semiconductors
                    - Services for Renewable Energy
                    - Services for the Elderly and Disabled
                    - Sheet Music Publishing
                    - Shipbuilding
                    - Shuttles and Special Needs Transportation Services
                    - Sightseeing Transportation
                    - Skiing Facilities
                    - Smart Meter Manufacturing
                    - Soap and Cleaning Product Manufacturing
                    - Social Networking Platforms
                    - Software Development
                    - Solar Electric Power Generation
                    - Sound Recording
                    - Space Research and Technology
                    - Specialty Trade Contractors
                    - Spectator Sports
                    - Sporting Goods
                    - Sporting Goods Manufacturing
                    - Sports and Recreation Instruction
                    - Sports Teams and Clubs
                    - Spring and Wire Product Manufacturing
                    - Staffing and Recruiting
                    - Steam and Air-Conditioning Supply
                    - Strategic Management Services
                    - Subdivision of Land
                    - Sugar and Confectionery Product Manufacturing
                    - Surveying and Mapping Services
                    - Taxi and Limousine Services
                    - Technical and Vocational Training
                    - Technology, Information and Internet
                    - Technology, Information and Media
                    - Telecommunications
                    - Telecommunications Carriers
                    - Telephone Call Centers
                    - Temporary Help Services
                    - Textile Manufacturing
                    - Theater Companies
                    - Think Tanks
                    - Tobacco
                    - Tobacco Manufacturing
                    - Translation and Localization
                    - Transportation Equipment Manufacturing
                    - Transportation, Logistics, Supply Chain and Storage
                    - Transportation Programs
                    - Transportation/Trucking/Railroad
                    - Travel Arrangements
                    - Truck Transportation
                    - Trusts and Estates
                    - Turned Products and Fastener Manufacturing
                    - Urban Transit Services
                    - Utilities
                    - Utilities Administration
                    - Utility System Construction
                    - Vehicle Repair and Maintenance
                    - Venture Capital and Private Equity Principals
                    - Veterinary
                    - Veterinary Services
                    - Vocational Rehabilitation Services
                    - Warehousing
                    - Warehousing and Storage
                    - Waste Collection
                    - Waste Treatment and Disposal
                    - Water Supply and Irrigation Systems
                    - Water, Waste, Steam, and Air Conditioning Services
                    - Wellness and Fitness Services
                    - Wholesale
                    - Wholesale Alcoholic Beverages
                    - Wholesale Apparel and Sewing Supplies
                    - Wholesale Appliances, Electrical, and Electronics
                    - Wholesale Building Materials
                    - Wholesale Chemical and Allied Products
                    - Wholesale Computer Equipment
                    - Wholesale Drugs and Sundries
                    - Wholesale Food and Beverage
                    - Wholesale Footwear
                    - Wholesale Furniture and Home Furnishings
                    - Wholesale Hardware, Plumbing, Heating Equipment
                    - Wholesale Import and Export
                    - Wholesale Luxury Goods and Jewelry
                    - Wholesale Machinery
                    - Wholesale Metals and Minerals
                    - Wholesale Motor Vehicles and Parts
                    - Wholesale Paper Products
                    - Wholesale Petroleum and Petroleum Products
                    - Wholesale Photography Equipment and Supplies
                    - Wholesale Raw Farm Products
                    - Wholesale Recyclable Materials
                    - Wind Electric Power Generation
                    - Wineries
                    - Wine & Spirits
                    - Wireless Services
                    - Women's Handbag Manufacturing
                    - Wood Product Manufacturing
                    - Writing and Editing
                    - Zoos and Botanical Gardens
                - type: 'null'
            size:
              anyOf:
                - type: string
                  enum:
                    - 1 employee
                    - 2-10 employees
                    - 11-50 employees
                    - 51-200 employees
                    - 201-500 employees
                    - 501-1,000 employees
                    - 1,001-5,000 employees
                    - 5,001-10,000 employees
                    - 10,001+ employees
                - type: 'null'
            domain:
              anyOf:
                - type: string
                - type: 'null'
            logoUrl:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - id
            - name
            - description
            - industry
            - size
            - domain
            - logoUrl
        createdAt:
          $ref: '#/components/schemas/DateISO'
        startAt:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        endAt:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        salaryRange:
          anyOf:
            - type: object
              properties:
                min:
                  anyOf:
                    - type: number
                    - type: 'null'
                max:
                  anyOf:
                    - type: number
                    - type: 'null'
                currency:
                  $ref: '#/components/schemas/DmCurrency'
              required:
                - min
                - max
                - currency
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/LocationDto'
            - type: 'null'
          deprecated: true
          description: >-
            Deprecated: use `locations` instead. The primary (first) location of
            the job, or null when none.
        locations:
          type: array
          items:
            $ref: '#/components/schemas/VacancyLocationDto'
        team:
          type: array
          items:
            type: object
            properties:
              userId:
                type: string
                minLength: 1
              name:
                type: string
              email:
                type: string
                format: email
                pattern: >-
                  ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
              avatarUrl:
                anyOf:
                  - type: string
                  - type: 'null'
              deactivatedAt:
                anyOf:
                  - $ref: '#/components/schemas/DateISO'
                  - type: 'null'
            required:
              - userId
              - name
              - email
              - avatarUrl
              - deactivatedAt
        employmentType:
          anyOf:
            - type: string
              enum:
                - fullTime
                - partTime
                - temporary
                - internship
                - permanent
                - fixedTermContract
                - interimOrTemporary
            - type: 'null'
        locationType:
          anyOf:
            - type: string
              enum:
                - remote
                - hybrid
                - onsite
            - type: 'null'
        clientTeam:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                minLength: 1
              firstName:
                type: string
              lastName:
                type: string
              middleName:
                anyOf:
                  - type: string
                  - type: 'null'
              secondLastName:
                anyOf:
                  - type: string
                  - type: 'null'
              avatarUrl:
                anyOf:
                  - type: string
                  - type: 'null'
              candidateId:
                type: string
                minLength: 1
              companyId:
                type: string
                minLength: 1
              companyName:
                type: string
              companyLogoUrl:
                anyOf:
                  - type: string
                  - type: 'null'
              jobTitle:
                anyOf:
                  - type: string
                  - type: 'null'
              department:
                anyOf:
                  - type: string
                  - type: 'null'
              emails:
                type: array
                items:
                  $ref: '#/components/schemas/ContactEmailDto'
              phoneNumbers:
                type: array
                items:
                  $ref: '#/components/schemas/ContactPhoneDto'
            required:
              - id
              - firstName
              - lastName
              - middleName
              - secondLastName
              - avatarUrl
              - candidateId
              - companyId
              - companyName
              - companyLogoUrl
              - jobTitle
              - department
              - emails
              - phoneNumbers
        scorecard:
          type: array
          items:
            type: object
            properties:
              groupName:
                type: string
              attributes:
                type: array
                items:
                  type: object
                  properties:
                    attribute:
                      type: string
                  required:
                    - attribute
            required:
              - groupName
              - attributes
        nextTaskDue:
          anyOf:
            - $ref: '#/components/schemas/NextTaskDueDto'
            - type: 'null'
        customAttributes:
          type: array
          items:
            $ref: '#/components/schemas/CustomAttributeItemDto'
      required:
        - id
        - name
        - restricted
        - description
        - stage
        - client
        - createdAt
        - startAt
        - endAt
        - salaryRange
        - location
        - locations
        - team
        - employmentType
        - locationType
        - clientTeam
        - scorecard
        - nextTaskDue
        - customAttributes
      id: PrivateVacancySearchItemDto
    SearchVacanciesPaginationDto:
      type: object
      properties:
        hasNextPage:
          type: boolean
      required:
        - hasNextPage
      id: PrivateSearchVacanciesPaginationDto
    ValidationIssueDto:
      oneOf:
        - $ref: '#/components/schemas/ValidationRequiredDto'
        - $ref: '#/components/schemas/ValidationInvalidEmptyStringDto'
        - $ref: '#/components/schemas/ValidationUnknownFieldDto'
        - $ref: '#/components/schemas/ValidationTooSmallDto'
        - $ref: '#/components/schemas/ValidationTooBigDto'
        - $ref: '#/components/schemas/ValidationInvalidTypeDto'
        - $ref: '#/components/schemas/ValidationInvalidValueDto'
        - $ref: '#/components/schemas/ValidationInvalidEmailDto'
        - $ref: '#/components/schemas/ValidationInvalidUuidDto'
        - $ref: '#/components/schemas/ValidationInvalidUrlDto'
        - $ref: '#/components/schemas/ValidationInvalidDatetimeDto'
        - $ref: '#/components/schemas/ValidationInvalidDateDto'
        - $ref: '#/components/schemas/ValidationInvalidTimeDto'
        - $ref: '#/components/schemas/ValidationInvalidDurationDto'
        - $ref: '#/components/schemas/ValidationInvalidIpv4Dto'
        - $ref: '#/components/schemas/ValidationInvalidIpv6Dto'
        - $ref: '#/components/schemas/ValidationInvalidJsonStringDto'
        - $ref: '#/components/schemas/ValidationInvalidJwtDto'
        - $ref: '#/components/schemas/ValidationInvalidRegexDto'
        - $ref: '#/components/schemas/ValidationInvalidPhoneNumberDto'
        - $ref: '#/components/schemas/ValidationInvalidDomainDto'
        - $ref: '#/components/schemas/ValidationInvalidHttpsUrlDto'
        - $ref: '#/components/schemas/ValidationInvalidTimezoneDto'
        - $ref: '#/components/schemas/ValidationPaginationOffsetExceededDto'
      id: ValidationIssueDto
    AppliedVacancyTextFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - text
        operator:
          type: string
          enum:
            - contains
            - equals
            - startsWith
            - notEquals
        path:
          type: string
          enum:
            - vacancy.name
            - vacancy.client.company.name
        value:
          type: string
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyTextFilterDto
    AppliedVacancyEntitySelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - entitySelect
        operator:
          type: string
          enum:
            - in
            - notIn
        path:
          type: string
          enum:
            - vacancy.client.company
            - vacancy.team
            - vacancy.stage
        value:
          type: string
          minLength: 1
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyEntitySelectFilterDto
    AppliedVacancyBooleanFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - boolean
        operator:
          type: string
          enum:
            - equals
            - notEquals
        path:
          type: string
          enum:
            - vacancy.stage.isOpen
        value:
          type: boolean
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyBooleanFilterDto
    AppliedVacancyCustomTextFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - text
        operator:
          type: string
          enum:
            - contains
            - equals
            - startsWith
            - notEquals
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          type: string
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomTextFilterDto
    AppliedVacancyCustomDateFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - date
        operator:
          type: string
          enum:
            - lessThanOrEqual
            - greaterThanOrEqual
            - equals
            - notEquals
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          $ref: '#/components/schemas/DateISO'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomDateFilterDto
    AppliedVacancyCustomEmptyDateFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - date
        operator:
          type: string
          enum:
            - isEmpty
            - isNotEmpty
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
      required:
        - type
        - operator
        - path
      id: PrivateAppliedVacancyCustomEmptyDateFilterDto
    AppliedVacancyCustomDateRangeFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - date
        operator:
          type: string
          enum:
            - between
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          type: object
          properties:
            from:
              $ref: '#/components/schemas/DateISO'
            to:
              $ref: '#/components/schemas/DateISO'
          required:
            - from
            - to
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomDateRangeFilterDto
    AppliedVacancyCustomNumberFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - number
        operator:
          type: string
          enum:
            - greaterThanOrEqual
            - lessThanOrEqual
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          type: number
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomNumberFilterDto
    AppliedVacancyCustomNumberRangeFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - number
        operator:
          type: string
          enum:
            - between
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          type: object
          properties:
            from:
              type: number
            to:
              type: number
          required:
            - from
            - to
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomNumberRangeFilterDto
    AppliedVacancyCustomEntitySelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - entitySelect
        operator:
          type: string
          enum:
            - in
            - notIn
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomEntitySelectFilterDto
    AppliedVacancyCustomEntityMultiSelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - entitySelect
        operator:
          type: string
          enum:
            - in
            - notIn
            - isAllOf
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          type: array
          items:
            anyOf:
              - type: string
              - type: 'null'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomEntityMultiSelectFilterDto
    AppliedVacancyCustomBooleanFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - boolean
        operator:
          type: string
          enum:
            - equals
            - notEquals
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          type: boolean
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomBooleanFilterDto
    AppliedVacancyCustomEnumSelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - enumSelect
        operator:
          type: string
          enum:
            - in
            - notIn
            - isAllOf
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          type: array
          items:
            anyOf:
              - type: string
              - type: 'null'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomEnumSelectFilterDto
    AppliedVacancyCustomEnumListSelectFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - enumListSelect
        operator:
          type: string
          enum:
            - contains
            - doesNotContain
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomEnumListSelectFilterDto
    AppliedVacancyCustomCurrencyFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - currency
        operator:
          type: string
          enum:
            - greaterThanOrEqual
            - lessThanOrEqual
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          type: object
          properties:
            amount:
              type: number
            currency:
              $ref: '#/components/schemas/DmCurrency'
          required:
            - amount
            - currency
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomCurrencyFilterDto
    AppliedVacancyCustomDurationFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - duration
        operator:
          type: string
          enum:
            - greaterThanOrEqual
            - lessThanOrEqual
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          type: number
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomDurationFilterDto
    AppliedVacancyCustomUrlFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - url
        operator:
          type: string
          enum:
            - equals
            - notEquals
            - contains
            - startsWith
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          type: string
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomUrlFilterDto
    AppliedVacancyCustomTimeStampFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - timestamp
        operator:
          type: string
          enum:
            - greaterThanOrEqual
            - lessThanOrEqual
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          $ref: '#/components/schemas/DateISO'
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomTimeStampFilterDto
    AppliedVacancyCustomRatingFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - rating
        operator:
          type: string
          enum:
            - greaterThanOrEqual
            - lessThanOrEqual
            - equals
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          type: number
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomRatingFilterDto
    AppliedVacancyCustomRatingRangeFilterDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - rating
        operator:
          type: string
          enum:
            - between
        path:
          $ref: '#/components/schemas/VacancyCustomAttributePathDto'
        value:
          type: object
          properties:
            from:
              type: number
            to:
              type: number
          required:
            - from
            - to
      required:
        - type
        - operator
        - path
        - value
      id: PrivateAppliedVacancyCustomRatingRangeFilterDto
    DateISO:
      id: DateISO
      format: date-time
      anyOf:
        - type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        - type: string
          format: date
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
    DmCurrency:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BTC
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLF
        - CLP
        - CNH
        - CNY
        - COP
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GGP
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - IMP
        - INR
        - IQD
        - IRR
        - ISK
        - JEP
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLE
        - SLL
        - SOS
        - SRD
        - SSP
        - STD
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VEF
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XAG
        - XAU
        - XCD
        - XCG
        - XDR
        - XOF
        - XPD
        - XPF
        - XPT
        - YER
        - ZAR
        - ZMW
        - ZWG
        - ZWL
      id: DmCurrency
    LocationDto:
      type: object
      properties:
        street1:
          anyOf:
            - type: string
            - type: 'null'
        street2:
          anyOf:
            - type: string
            - type: 'null'
        postalCode:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        rawCityCountry:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        formattedAddress:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - $ref: '#/components/schemas/LocationType'
            - type: 'null'
      required:
        - street1
        - street2
        - postalCode
        - city
        - region
        - state
        - country
        - rawCityCountry
        - latitude
        - longitude
        - formattedAddress
        - type
      id: PrivateLocationDto
    VacancyLocationDto:
      type: object
      properties:
        street1:
          anyOf:
            - type: string
            - type: 'null'
        street2:
          anyOf:
            - type: string
            - type: 'null'
        postalCode:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        formattedAddress:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - $ref: '#/components/schemas/LocationType'
            - type: 'null'
      required:
        - street1
        - street2
        - postalCode
        - city
        - region
        - state
        - country
        - latitude
        - longitude
        - formattedAddress
        - type
      id: PrivateVacancyLocationDto
    ContactEmailDto:
      type: object
      properties:
        email:
          type: string
          format: email
          pattern: >-
            ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
        purpose:
          anyOf:
            - type: string
              enum:
                - personal
                - work
            - type: 'null'
        isPrimary:
          type: boolean
      required:
        - email
        - purpose
        - isPrimary
      id: PrivateContactEmailDto
    ContactPhoneDto:
      type: object
      properties:
        phoneNumber:
          type: string
        purpose:
          anyOf:
            - type: string
              enum:
                - personal
                - work
            - type: 'null'
        isPrimary:
          type: boolean
      required:
        - phoneNumber
        - purpose
        - isPrimary
      id: PrivateContactPhoneDto
    NextTaskDueDto:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        content:
          type: string
        dueDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
      required:
        - id
        - content
        - dueDate
      id: PrivateNextTaskDueDto
    CustomAttributeItemDto:
      type: object
      properties:
        attributeDefinitionId:
          type: string
          minLength: 1
        label:
          type: string
        aiFillOngoing:
          type: boolean
        aiOverridden:
          type: boolean
        isFilledByAI:
          type: boolean
        value:
          $ref: '#/components/schemas/SharedCustomAttributeTypeDto'
      required:
        - attributeDefinitionId
        - label
        - aiFillOngoing
        - aiOverridden
        - isFilledByAI
        - value
      id: PrivateCustomAttributeItemDto
    ValidationRequiredDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - REQUIRED
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationRequiredDto
    ValidationInvalidEmptyStringDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_EMPTY_STRING
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidEmptyStringDto
    ValidationUnknownFieldDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - UNKNOWN_FIELD
        path:
          type: string
        message:
          type: string
        received: {}
        keys:
          type: array
          items:
            type: string
      required:
        - code
        - path
        - message
        - keys
      id: ValidationUnknownFieldDto
    ValidationTooSmallDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - TOO_SMALL
        path:
          type: string
        message:
          type: string
        received: {}
        minimum:
          type: number
        inclusive:
          type: boolean
        origin:
          type: string
      required:
        - code
        - path
        - message
        - minimum
        - inclusive
        - origin
      id: ValidationTooSmallDto
    ValidationTooBigDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - TOO_BIG
        path:
          type: string
        message:
          type: string
        received: {}
        maximum:
          type: number
        inclusive:
          type: boolean
        origin:
          type: string
      required:
        - code
        - path
        - message
        - maximum
        - inclusive
        - origin
      id: ValidationTooBigDto
    ValidationInvalidTypeDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_TYPE
        path:
          type: string
        message:
          type: string
        received: {}
        expected:
          type: string
      required:
        - code
        - path
        - message
        - expected
      id: ValidationInvalidTypeDto
    ValidationInvalidValueDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_VALUE
        path:
          type: string
        message:
          type: string
        received: {}
        expected: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidValueDto
    ValidationInvalidEmailDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_EMAIL
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidEmailDto
    ValidationInvalidUuidDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_UUID
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidUuidDto
    ValidationInvalidUrlDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_URL
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidUrlDto
    ValidationInvalidDatetimeDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DATETIME
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDatetimeDto
    ValidationInvalidDateDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DATE
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDateDto
    ValidationInvalidTimeDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_TIME
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidTimeDto
    ValidationInvalidDurationDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DURATION
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDurationDto
    ValidationInvalidIpv4Dto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_IPV4
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidIpv4Dto
    ValidationInvalidIpv6Dto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_IPV6
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidIpv6Dto
    ValidationInvalidJsonStringDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_JSON_STRING
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidJsonStringDto
    ValidationInvalidJwtDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_JWT
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidJwtDto
    ValidationInvalidRegexDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_REGEX
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidRegexDto
    ValidationInvalidPhoneNumberDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_PHONE_NUMBER
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidPhoneNumberDto
    ValidationInvalidDomainDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_DOMAIN
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidDomainDto
    ValidationInvalidHttpsUrlDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_HTTPS_URL
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidHttpsUrlDto
    ValidationInvalidTimezoneDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - INVALID_TIMEZONE
        path:
          type: string
        message:
          type: string
        received: {}
      required:
        - code
        - path
        - message
      id: ValidationInvalidTimezoneDto
    ValidationPaginationOffsetExceededDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - PAGINATION_OFFSET_EXCEEDED
        path:
          type: string
        message:
          type: string
        received: {}
        maximum:
          type: number
      required:
        - code
        - path
        - message
        - maximum
      id: ValidationPaginationOffsetExceededDto
    VacancyCustomAttributePathDto:
      type: string
      pattern: ^vacancy\.custom\.[^\r\n]+$
      id: PrivateVacancyCustomAttributePathDto
    LocationType:
      type: string
      enum:
        - primary_home
        - secondary_home
        - primary_work
        - headquarters
        - regional_office
      id: LocationType
    SharedCustomAttributeTypeDto:
      oneOf:
        - $ref: '#/components/schemas/CustomTextTypeDto'
        - $ref: '#/components/schemas/CustomNumberTypeDto'
        - $ref: '#/components/schemas/CustomCheckboxTypeDto'
        - $ref: '#/components/schemas/CustomDateTypeDto'
        - $ref: '#/components/schemas/CustomTimestampTypeDto'
        - $ref: '#/components/schemas/CustomRatingTypeDto'
        - $ref: '#/components/schemas/CustomSelectTypeDto'
        - $ref: '#/components/schemas/CustomMultiSelectTypeDto'
        - $ref: '#/components/schemas/CustomCurrencyTypeDto'
        - $ref: '#/components/schemas/CustomDateRangeTypeDto'
        - $ref: '#/components/schemas/CustomDurationTypeDto'
        - $ref: '#/components/schemas/CustomUrlTypeDto'
        - $ref: '#/components/schemas/CustomEntityTypeDto'
        - $ref: '#/components/schemas/CustomMultiEntityTypeDto'
      id: SharedPrivateCustomAttributeTypeDto
    CustomTextTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customText
        text:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - viewType
        - text
      id: PrivateCustomTextTypeDto
    CustomNumberTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customNumber
        number:
          anyOf:
            - type: number
            - type: 'null'
      required:
        - viewType
        - number
      id: PrivateCustomNumberTypeDto
    CustomCheckboxTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customCheckbox
        checked:
          anyOf:
            - type: boolean
            - type: 'null'
      required:
        - viewType
        - checked
      id: PrivateCustomCheckboxTypeDto
    CustomDateTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customDate
        date:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
      required:
        - viewType
        - date
      id: PrivateCustomDateTypeDto
    CustomTimestampTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customTimestamp
        timestamp:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
      required:
        - viewType
        - timestamp
      id: PrivateCustomTimestampTypeDto
    CustomRatingTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customRating
        rating:
          anyOf:
            - type: number
            - type: 'null'
      required:
        - viewType
        - rating
      id: PrivateCustomRatingTypeDto
    CustomSelectTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customSelect
        select:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - viewType
        - select
      id: PrivateCustomSelectTypeDto
    CustomMultiSelectTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customMultiSelect
        multiSelect:
          type: array
          items:
            type: string
      required:
        - viewType
        - multiSelect
      id: PrivateCustomMultiSelectTypeDto
    CustomCurrencyTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customCurrency
        monetaryAmount:
          anyOf:
            - $ref: '#/components/schemas/MonetaryAmountDto'
            - type: 'null'
      required:
        - viewType
        - monetaryAmount
      id: PrivateCustomCurrencyTypeDto
    CustomDateRangeTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customDateRange
        dateRange:
          anyOf:
            - $ref: '#/components/schemas/DateRangeDto'
            - type: 'null'
      required:
        - viewType
        - dateRange
      id: PrivateCustomDateRangeTypeDto
    CustomDurationTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customDuration
        duration:
          anyOf:
            - type: number
            - type: 'null'
      required:
        - viewType
        - duration
      id: PrivateCustomDurationTypeDto
    CustomUrlTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customUrl
        url:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - viewType
        - url
      id: PrivateCustomUrlTypeDto
    CustomEntityTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customEntity
        type:
          type: string
          enum:
            - user
        id:
          anyOf:
            - type: string
            - type: 'null'
        entity:
          anyOf:
            - $ref: '#/components/schemas/UserBadgeDto'
            - type: 'null'
      required:
        - viewType
        - type
        - id
      id: PrivateCustomEntityTypeDto
    CustomMultiEntityTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customMultiEntity
        type:
          type: string
          enum:
            - user
        ids:
          type: array
          items:
            type: string
        entities:
          type: array
          items:
            $ref: '#/components/schemas/UserBadgeDto'
      required:
        - viewType
        - type
        - ids
      id: PrivateCustomMultiEntityTypeDto
    MonetaryAmountDto:
      type: object
      properties:
        currency:
          $ref: '#/components/schemas/DmCurrency'
        amount:
          type: number
      required:
        - currency
        - amount
      id: PrivateMonetaryAmountDto
    DateRangeDto:
      type: object
      properties:
        startDate:
          $ref: '#/components/schemas/DateISO'
        endDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
      required:
        - startDate
        - endDate
      id: PrivateDateRangeDto
    UserBadgeDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        avatarUrl:
          anyOf:
            - type: string
            - type: 'null'
        deactivatedAt:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
      required:
        - id
        - name
        - avatarUrl
        - deactivatedAt
      id: PrivateUserBadgeDto
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````